{"openapi":"3.1.0","info":{"title":"OED API","description":"API for oppgjør etter dødsfall. Det kreves bruk av klientsertifikat for å konsumere denne tjenesten.","contact":{"name":"Norsk Pensjon - teknisk kontakt","email":"norskpensjon@kantega.no"},"version":"1.0"},"servers":[{"url":"https://webservice.preprod.norskpensjon.no/oed","description":"Generated server url"}],"tags":[{"name":"OED API","description":"REST API for henting av poliser"}],"paths":{"/api/poliser/sok":{"post":{"tags":["OED API"],"summary":"Hent poliser for gitt fødselsnummer","operationId":"getPoliser","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Poliser"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"ApiRequest":{"type":"object","properties":{"fodselsnummer":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"code":{"type":"integer","format":"int32"},"message":{"type":"string"}}},"Pensjonsinnretning":{"type":"object","properties":{"orgnr":{"type":"string"},"navn":{"type":"string"}}},"Polise":{"type":"object","properties":{"fodselsnummer":{"type":"string"},"opplysningsdato":{"type":"string","format":"date"},"referanse":{"type":"string"},"pensjonsinnretning":{"$ref":"#/components/schemas/Pensjonsinnretning"},"produkttype":{"type":"string"},"produktinformasjon":{"type":["string","null"]},"url":{"type":["string","null"]}}},"Poliser":{"type":"object","properties":{"poliser":{"type":"array","items":{"$ref":"#/components/schemas/Polise"}}}}}}}